package org.dromara.system.mapper;

import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;
import org.dromara.system.domain.TblDzbcPathSite;
import org.dromara.system.domain.vo.TblDzbcPathSiteVo;

import java.util.Collection;
import java.util.List;

public interface TblDzbcPathSiteMapper extends BaseMapperPlus<TblDzbcPathSite, TblDzbcPathSiteVo> {

    List<TblDzbcPathSiteVo> selectVoList(TblDzbcPathSiteVo vo);

    TblDzbcPathSiteVo selectVoById(Long id);

    List<TblDzbcPathSiteVo> selectVoByIds(Collection<Long> ids);

    List<TblDzbcPathSiteVo> selectByPathId(Long pathId);
}
